From: Ondrej Jirman <megous@megous.com>
Date: Sun, 30 Jan 2022 23:46:37 +0100
Subject: usb: typec: fusb302: Slightly increase wait time for BC1.2 result

This is not strictly necessary, but it should not hurt. Looking at
kernel log timing, the BC1.2 detection completion time and this
timeout are quite tight. This adds some headspace just in case.

Signed-off-by: Ondrej Jirman <megous@megous.com>
---
 drivers/usb/typec/tcpm/fusb302.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/usb/typec/tcpm/fusb302.c b/drivers/usb/typec/tcpm/fusb302.c
index d18b0a7..22e6a43 100644
--- a/drivers/usb/typec/tcpm/fusb302.c
+++ b/drivers/usb/typec/tcpm/fusb302.c
@@ -533,9 +533,9 @@ static int tcpm_get_current_limit(struct tcpc_dev *dev)
 
 	/*
 	 * USB2 Charger detection may still be in progress when we get here,
-	 * this can take upto 600ms, wait 800ms max.
+	 * this can take upto 600ms, wait 1000ms max.
 	 */
-	timeout = jiffies + msecs_to_jiffies(800);
+	timeout = jiffies + msecs_to_jiffies(1000);
 	do {
 		if (extcon_get_state(chip->extcon, EXTCON_CHG_USB_SDP) == 1)
 			current_limit = 500;
